---
updatedAt: 2025-08-06T10:00:27.000Z
agentTools:
  projectIndex: https://docs.crezco.com/llms.txt
---

# Get indicative FX rate for currency conversion

<p>
Retrieve an indicative rate for currency conversion between two currencies. As this is an
indicative rate it may change between the time of this request and the time of the actual
conversion.  
</p>

<Callout icon="📘" theme="info">
  **Rates change and are indicative**

  As this is an indicative rate it may change between the time of this request and the time of the actual conversion
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Payables API",
    "description": "Crezco Partner API",
    "termsOfService": "https://www.crezco.com/terms",
    "contact": {
      "name": "Crezco Support",
      "url": "https://crezco.atlassian.net/servicedesk/customer/portals"
    },
    "version": "2025-01-31"
  },
  "servers": [
    {
      "url": "https://api.partners.uat.crezco.com",
      "description": "UAT server for acceptance testing. Live and sandbox banks."
    },
    {
      "url": "https://api.partners.crezco.com",
      "description": "Live server when your application is in Production. Live banks only."
    }
  ],
  "paths": {
    "/indicative-rates": {
      "get": {
        "tags": [
          "CurrencyConversion"
        ],
        "summary": "Get indicative FX rate for currency conversion",
        "description": "<p>\nRetrieve an indicative rate for currency conversion between two currencies. As this is an\nindicative rate it may change between the time of this request and the time of the actual\nconversion.  \n</p>",
        "parameters": [
          {
            "name": "SellCurrency",
            "in": "query",
            "description": "The currency that we would use to pay. This is an ISO 4217:2015 Alpha-3 currency code.",
            "required": true,
            "schema": {
              "minLength": 1,
              "type": "string",
              "description": "The currency that we would use to pay. This is an ISO 4217:2015 Alpha-3 currency code."
            }
          },
          {
            "name": "BuyCurrency",
            "in": "query",
            "description": "The currency that we are wanting to buy. This is an ISO 4217:2015 Alpha-3 currency code.",
            "required": true,
            "schema": {
              "minLength": 1,
              "type": "string",
              "description": "The currency that we are wanting to buy. This is an ISO 4217:2015 Alpha-3 currency code."
            }
          },
          {
            "name": "Crezco-Version",
            "in": "header",
            "description": "The requested API version",
            "style": "simple",
            "schema": {
              "type": "string",
              "default": "2025-01-31"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/IndicativeRateResourceRepresentationVersion3"
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "401": {
            "description": "You do not have access. Check your API key is correct.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "403": {
            "description": "You do not have access to this organisation.",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "406": {
            "description": "The version of the API that you requested is not available. Check your Crezco-Version header.\nIf you omit this header you will use the latest version of the API.            ",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          },
          "429": {
            "description": "You have made too many requests to the API in too short a period. Wait a while and try again.      ",
            "content": {
              "application/problem+json": {
                "schema": {
                  "$ref": "#/components/schemas/HttpValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "HttpValidationProblemDetails": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          },
          "errors": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          }
        },
        "additionalProperties": {}
      },
      "IndicativeRateResourceRepresentationVersion3": {
        "type": "object",
        "properties": {
          "sellCurrency": {
            "type": "string",
            "description": "<p>\r\n            The currency that we would use to pay. This is an ISO4217:2015\r\n            Alpha-3 currency code.\r\n            </p>",
            "example": "GBP"
          },
          "buyCurrency": {
            "type": "string",
            "description": "<p>\r\n            The currency that we are wanting to buy. This is an ISO4217:2015\r\n            Alpha-3 currency code.\r\n            </p>",
            "example": "EUR"
          },
          "rate": {
            "type": "number",
            "description": "<p>\r\n            The indicative rate for this conversion. Indicative means that\r\n            the rate may change in the time between making this request and the\r\n            concrete request to purchase currency is made.\r\n            </p>",
            "format": "double",
            "example": 1.2345
          }
        },
        "additionalProperties": false,
        "description": "A single rate returned from the Crezco system"
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "Your API key for accessing the service. \n * Live keys start with `CZ01`\n * UAT keys start `CZSB01` \n\nYou should include the key in the `Authorization` header as a Bearer token like: \n\n`Authorization: Bearer CZSB01YOURKEY`\n\nYou can learn how to get your API key from the \n[Onboarding](https://crezco.readme.io/reference/managing-your-account#onboarding)\ndocumentation.",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```